
*** It contains the results shown in the tables of the Paper The Value of Political Connections: Evidence from China's Anti-Corruption Campaign

capture cd "C:\Users\Usuario\Dropbox\03 - China\\01_The Value of Political Connections_Evidence From China s ACC\WIP _ China corruption and ACC\Data"
capture cd "C:\Users\mas\Dropbox (Personal)\Research\03 - China\01_The Value of Political Connections_Evidence From China s ACC\WIP _ China corruption and ACC\Data"
	
*** TABLE 1, PANEL A: TOTAL AND MATCHED SAMPLE - DESCRIPTIVE STATISTICS

	use ChinaConnections_BOARD, clear
	use MatchedData, clear

	sum Subsidy
	mat x1 = r(mean)
	mat y1 = r(max)
	mat z1 = r(min)
	mat w1 = r(sd)
	mat n1 = r(N)
	
	sum Cost_Debt
	mat x2 = (x1, r(mean))
	mat y2 = (y1, r(max))
	mat z2 = (z1, r(min))
	mat w2 = (w1, r(sd))
	mat n2 = (n1, r(N))
	
	
	sum LROA
	mat x3 = (x2, r(mean))
	mat y3 = (y2, r(max))
	mat z3 = (z2, r(min))
	mat w3 = (w2, r(sd))
	mat n3 = (n2, r(N))
	
	sum LSize
	mat x4 = (x3, r(mean))
	mat y4 = (y3, r(max))
	mat z4 = (z3, r(min))
	mat w4 = (w3, r(sd))
	mat n4 = (n3, r(N))
	
	sum LLeverage
	mat x5 = (x4, r(mean))
	mat y5 = (y4, r(max))
	mat z5 = (z4, r(min))
	mat w5 = (w4, r(sd))
	mat n5 = (n4, r(N))
	
	sum LETC2
	mat x6 = (x5, r(mean))
	mat y6 = (y5, r(max))
	mat z6 = (z5, r(min))
	mat w6 = (w5, r(sd))
	mat n6 = (n5, r(N))
	
	sum LCash_holding
	mat x7 = (x6, r(mean))
	mat y7 = (y6, r(max))
	mat z7 = (z6, r(min))
	mat w7 = (w6, r(sd))
	mat n7 = (n6, r(N))
	
	sum LGrowth
	mat x8 = (x7, r(mean))
	mat y8 = (y7, r(max))
	mat z8 = (z7, r(min))
	mat w8 = (w7, r(sd))
	mat n8 = (n7, r(N))
	
	sum LCapex
	mat x9 = (x8, r(mean))
	mat y9 = (y8, r(max))
	mat z9 = (z8, r(min))
	mat w9 = (w8, r(sd))
	mat n9 = (n8, r(sd))
	
	sum LOpRev
	mat x10 = (x9, r(mean))
	mat y10 = (y9, r(max))
	mat z10 = (z9, r(min))
	mat w10 = (w9, r(sd))
	mat n10 = (n9, r(N))
	
	sum State
	mat x11 = (x10, r(mean))
	mat y11 = (y10, r(max))
	mat z11 = (z10, r(min))
	mat w11 = (w10, r(sd))
	mat n11 = (n10, r(N))
	
	sum LTobinQ
	mat x12 = (x11, r(mean))
	mat y12 = (y11, r(max))
	mat z12 = (z11, r(min))
	mat w12 = (w11, r(sd))	
	mat n12 = (n11, r(N))
	
	sum Lboard_indratio
	mat x13 = (x12, r(mean))
	mat y13 = (y12, r(max))
	mat z13 = (z12, r(min))
	mat w13 = (w12, r(sd))
	mat n13 = (n12, r(N))
	
	sum Lboard_gender
	mat x14 = (x13, r(mean))
	mat y14 = (y13, r(max))
	mat z14 = (z13, r(min))
	mat w14 = (w13, r(sd))
	mat n14 = (n13, r(N))
	
	
	mat table = x14'
	mat rownames table =  Subsidy Cost_Debt ROA  Size Leverage ETC2 Cash_holding Growth Capex OpRev State TobinQ board_indratio board_gender 
	matrix list table
	mat table_sumstat= (table, y14', z14', w14', n14')
	matrix list table_sumstat
	
*** TABLE 1, PANELS B AND C: TOTAL AND MATCHED SAMPLE - CONNECTED VS. NON-CONNECTED; MATCHED SAMPLE - PRIVATE AND STATE FIRMS

	use ChinaConnections_BOARD, clear
	use MatchedData, clear
	keep if State==0
	keep if State==1

	ttest Growth, by(DummyConnEduc3)
	mat x1 = r(mu_1)
	mat y1 = r(mu_2)
	mat z1 = r(p)
	
	ttest Leverage, by(DummyConnEduc3)
	mat x2 = (x1,r(mu_1))
	mat y2 =(y1,r(mu_2))
	mat z2 =(z1,r(p))
	
	ttest TobinQ, by(DummyConnEduc3)
	mat x3=(x2,r(mu_1))
	mat y3=(y2,r(mu_2))
	mat z3 =(z2,r(p))
	
	ttest Cash_holding, by(DummyConnEduc3)
	mat x4=(x3,r(mu_1) )
	mat y4=(y3,r(mu_2))
	mat z4 =(z3,r(p))

    ttest Capex, by(DummyConnEduc3)
	mat x5=(x4,r(mu_1))
	mat y5=(y4,r(mu_2))
	mat z5 =(z4,r(p))
	
	ttest Size, by(DummyConnEduc3)
	mat x6=(x5,r(mu_1) )
	mat y6=(y5,r(mu_2))
	mat z6 =(z5,r(p))
	
	ttest State, by(DummyConnEduc3)
	mat x7=(x6,r(mu_1) )
	mat y7=(y6,r(mu_2))
	mat z7 =(z6,r(p))

	ttest ETC2, by(DummyConnEduc3)
	mat x8=(x7,r(mu_1))
	mat y8=(y7,r(mu_2))
	mat z8 =(z7,r(p))
	
	ttest board_indratio, by(DummyConnEduc3)
	mat x9=(x8,r(mu_1))
	mat y9=(y8,r(mu_2))
	mat z9 =(z8,r(p))
	
	ttest board_gender, by(DummyConnEduc3)
	mat x10=(x9,r(mu_1))
	mat y10=(y9,r(mu_2))
	mat z10 =(z9,r(p))
	
		
	mat table = x10'
	mat rownames table = Growth Leverage TobinQ Cash_holding  Capex Size State ETC2 board_indratio board_gender 
	matrix list table
	mat table_ttestFull= (table, y10', z10')
	matrix list table_ttestFull
	
	
	
	*** Firms numbers
	use ChinaConnections_BOARD, clear
	use MatchedData, clear
	
	generate order = _n
	by companyid (order), sort: generate ncoid = _n == 1
	sort order
    replace ncoid = sum(ncoid) 
	drop order
	sum ncoid
	
	* Private firms
	generate order = _n if State == 0
	by companyid (order), sort: generate ncoid_priv = _n == 1 if State == 0
	sort order
	replace ncoid_priv = sum(ncoid_priv) if State == 0
	drop order
	sum ncoid_priv
		
		
	* SOEs
	generate order = _n if State == 1
	by companyid (order), sort: generate ncoid_soe = _n == 1 if State == 1
	sort order
	replace ncoid_soe = sum(ncoid_soe) if State == 1
	drop order
	sum ncoid_soe
	
	keep if State==1
	
	* Connected firms
		generate order = _n if LDummyConnEduc3 == 1
		by companyid (order), sort: generate ncoid_conn = _n == 1 if LDummyConnEduc3 == 1
		sort order
		replace ncoid_conn = sum(ncoid_conn) if LDummyConnEduc3 == 1
		drop order
		sum ncoid_conn

	* Non-connected firms
	generate order = _n if LDummyConnEduc3 == 0
	by companyid (order), sort: generate ncoid_nonconn = _n == 1 if LDummyConnEduc3 == 0
	sort order
	replace ncoid_nonconn = sum(ncoid_nonconn) if LDummyConnEduc3 == 0
	drop order
	sum ncoid_nonconn
		
	
			
 *** TABLE 2: SUBSIDIES - Full Sample / Matched Sample - Private - SOE
		
		use ChinaConnections_BOARD, clear
		use MatchedData, clear
		
		global control4 LSize LLeverage LTobinQ LROA LCapex State
	 	global control4plusETC LETC2 LSize LLeverage LTobinQ LROA LCapex State
		global boardcontrols Lboard_indratio Lboard_gender 
		reghdfe Subsidy LDummyConnEduc3 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingleton
		est store model1
		reghdfe Subsidy LDummyConnEduc3 $control4 $boardcontrols , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingleton
		est store model2
		reghdfe Subsidy LDummyConnEduc3 $control4plusETC $boardcontrols , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingleton
		est store model3
		global control4 LSize LLeverage LTobinQ LROA LCapex
		global control4plusETC LETC2 LSize LLeverage LTobinQ LROA LCapex
		reghdfe Subsidy LDummyConnEduc3 if State==0 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingleton
		est store model4		
		reghdfe Subsidy LDummyConnEduc3 $control4 $boardcontrols if State==0 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingleton
		est store model5
		reghdfe Subsidy LDummyConnEduc3 $control4plusETC $boardcontrols if State==0 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingleton
		est store model6
		reghdfe Subsidy LDummyConnEduc3 if State==1, absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingleton
		est store model7
		reghdfe Subsidy LDummyConnEduc3 $control4 $boardcontrols if State==1 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingleton
		est store model8
		reghdfe Subsidy LDummyConnEduc3 $control4plusETC $boardcontrols if State==1, absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingleton
		est store model9
		

		
*** TABLE 3: COST OF DEBT - Full Sample / Matched Sample - Private - SOE
	
		global control2 LSize LLeverage LTobinQ LROA LCapex LCash_holding LGrowth State
		global control2plusETC LETC2 LSize LLeverage LTobinQ LROA LCapex LCash_holding LGrowth State
		reghdfe Cost_Debt LDummyConnEduc3 State, absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year)  keepsingletons
		est store model1
		reghdfe Cost_Debt LDummyConnEduc3 $control2 $boardcontrols , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model2
		reghdfe Cost_Debt LDummyConnEduc3 $control2plusETC $boardcontrols , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model3
		global control2 LSize LLeverage LTobinQ LROA LCapex LCash_holding LGrowth
		global control2plusETC LETC2 LSize LLeverage LTobinQ LROA LCapex LCash_holding LGrowth
		reghdfe Cost_Debt LDummyConnEduc3 if State==0 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model4
		reghdfe Cost_Debt LDummyConnEduc3 $control2 $boardcontrols if State==0 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model5
		reghdfe Cost_Debt LDummyConnEduc3 $control2plusETC $boardcontrols if State==0 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model6
		reghdfe Cost_Debt LDummyConnEduc3 if State==1 , absorb(companyid year industryid provinceid) cluster(companyid industryid year) keepsingletons
		est store model7
		reghdfe Cost_Debt LDummyConnEduc3 $control2 $boardcontrols if State==1 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model8
		reghdfe Cost_Debt LDummyConnEduc3 $control2plusETC $boardcontrols if State==1 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model9
		

		
 *** TABLE 4, Panel A: SUBSIDIES - Before and After 2012
 
	* Full Sample	
		global control4plusETC LETC2 LSize LLeverage LTobinQ LROA LCapex	
		reghdfe Subsidy LDummyConnEduc3 $control4plusETC $boardcontrols if year <= 2012 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year)keepsingletons
		est store model1
		reghdfe Subsidy LDummyConnEduc3 $control4plusETC $boardcontrols if year > 2012 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model2
		
	* Private
		global control4 LSize LLeverage LTobinQ LROA LCapex
		global control4plusETC LETC2 LSize LLeverage LTobinQ LROA LCapex
				
		reghdfe Subsidy LDummyConnEduc3 $control4 $boardcontrols if year <= 2012 & State==0 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model3		
		reghdfe Subsidy LDummyConnEduc3 $control4plusETC $boardcontrols if year <= 2012  & State==0, absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model4
		
		reghdfe Subsidy LDummyConnEduc3 $control4 $boardcontrols if year > 2012 & State==0 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model5	
		reghdfe Subsidy LDummyConnEduc3 $control4plusETC $boardcontrols if year > 2012 & State==0 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model6
		
	* SOEs 
		reghdfe Subsidy LDummyConnEduc3 $control4 $boardcontrols if year <= 2012 & State==1 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons	
		est store model7
		reghdfe Subsidy LDummyConnEduc3 $control4plusETC $boardcontrols if year <= 2012  & State==1, absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model8
		
		reghdfe Subsidy LDummyConnEduc3 $control4 $boardcontrols if year > 2012 & State==1 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model9
		reghdfe Subsidy LDummyConnEduc3 $control4plusETC $boardcontrols if year > 2012 & State==1 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model10
		

		
 *** TABLE 4, Panel B: COST OF DEBT - Before and After 2012
	
	* Full Sample	
	   global control2plusETC LETC2 LSize LLeverage LTobinQ LROA LCapex LCash_holding LGrowth State	
	   reghdfe Cost_Debt LDummyConnEduc3 $control2plusETC $boardcontrols if year <= 2012 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
	   est store model1		
	   reghdfe Cost_Debt LDummyConnEduc3 $control2plusETC $boardcontrols if year > 2012 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
	   est store model2
	   
	* Private
	   global control2 LSize LLeverage LTobinQ LROA LCapex LCash_holding LGrowth
	   global control2plusETC LETC2 LSize LLeverage LTobinQ LROA LCapex LCash_holding LGrowth
		
	   reghdfe Cost_Debt LDummyConnEduc3 $control2 $boardcontrols if year <= 2012 & State==0 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
	   est store model3
	   reghdfe Cost_Debt LDummyConnEduc3 $control2plusETC $boardcontrols if year <= 2012 & State==0 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
	   est store model4
	 
	   reghdfe Cost_Debt LDummyConnEduc3 $control2 $boardcontrols if year > 2012 & State==0, absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
	   est store model5	   
	   reghdfe Cost_Debt LDummyConnEduc3 $control2plusETC $boardcontrols if year > 2012 & State==0, absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
	   est store model6
		
	* SOEs
	   reghdfe Cost_Debt LDummyConnEduc3 $control2 $boardcontrols if year <= 2012 & State==1 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
	   est store model7
	   reghdfe Cost_Debt LDummyConnEduc3 $control2plusETC $boardcontrols if year <= 2012 & State==1 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
	   est store model8	

	   reghdfe Cost_Debt LDummyConnEduc3 $control2 $boardcontrols if year > 2012 & State==1, absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
	   est store model9
	   reghdfe Cost_Debt LDummyConnEduc3 $control2plusETC $boardcontrols if year > 2012 & State==1, absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
	   est store model10
	   
	
		
*** TABLE 5, Panel A: GROWTH SALES - Full & Matched
	use ChinaConnections_BOARD, clear
	use MatchedData, clear
			
	
	* Full sample
		global control3 LSize LLeverage LTobinQ LCash_holding LCapex State
		global control3plusETC LETC2 LSize LLeverage LTobinQ LCash_holding LCapex State
		global boardcontrols Lboard_indratio Lboard_gender 

		reghdfe Growth  LDummyConnEduc3 $control3 $boardcontrols , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model1
		reghdfe Growth  LDummyConnEduc3 $control3plusETC $boardcontrols , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model2
		
	* Private
		global control3 LSize LLeverage LTobinQ LCapex LCash_holding    
		global control3plusETC LETC2 LSize LLeverage LTobinQ LCapex LCash_holding  
		reghdfe Growth  LDummyConnEduc3 $control3plusETC $boardcontrols if State==0 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model3
		
	* SOEs
		reghdfe Growth  LDummyConnEduc3 $control3plusETC $boardcontrols if State==1 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model4
		
		
		
*** TABLE 5, Panel B: INVESTMENT - Full & Matched

	use ChinaConnections_BOARD, clear
	use MatchedData, clear

	* Full sample
		global control5 LSize LLeverage LTobinQ LCash_holding LOpRev Intangible State
		global control5plusETC LETC2 LSize LLeverage LTobinQ LCash_holding LOpRev Intangible State
		global boardcontrols Lboard_indratio Lboard_gender 

		reghdfe Capex  LDummyConnEduc3 $control5 $boardcontrols, absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year)	 keepsingletons	
		est store model1
		reghdfe Capex  LDummyConnEduc3 LETC2 $control5 $boardcontrols, absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model2
		
	* Private
		global control5 LSize LLeverage LTobinQ LCash_holding LOpRev Intangible
		global control5plusETC LETC2 LSize LLeverage LTobinQ LCash_holding LOpRev Intangible

		reghdfe Capex  LDummyConnEduc3  $control5plusETC $boardcontrols if State==0 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model3
	
	* SOES		
		reghdfe Capex  LDummyConnEduc3  $control5plusETC $boardcontrols if State==1 , absorb(companyid year industryid provinceid) cluster(companyid industryid provinceid year) keepsingletons
		est store model4


	
*** FIGURES

*** FIGURE 1: AVERAGE SUBSIDIES RECEIVED BY FIRMS

	use ChinaConnections_BOARD, clear
	merge m:1 year using "CPI.dta"
	drop _merge
	replace CPI=CPI/100
	
	sort year companyid
	by year: gen TotalSubsidy_plain_deflated=TotalSubsidy_plain*CPI
	by year: egen meanPlainSubsidy_conn1 = mean(TotalSubsidy_plain_deflated) if LDummyConnEduc3==1 & LDummyConnEduc3_disgrace_5full!=1 
	by year: egen meanPlainSubsidy_conn = mean(meanPlainSubsidy_conn1)
	by year: egen meanPlainSubsidy_NOconn1 = mean(TotalSubsidy_plain_deflated) if LDummyConnEduc3==0 & LDummyConnEduc3_disgrace_5full!=1 
	by year: egen meanPlainSubsidy_NOconn = mean(meanPlainSubsidy_NOconn1)	
	by year: egen meanPlainSubsidy_disgrace1 = mean(TotalSubsidy_plain_deflated) if LDummyConnEduc3_disgrace_5full==1 
	by year: egen meanPlainSubsidy_disgrace = mean(meanPlainSubsidy_disgrace1)
	graph twoway (line meanPlainSubsidy_conn1 year) (line meanPlainSubsidy_disgrace year) (line meanPlainSubsidy_NOconn1 year) if year>2009, xline(2012)


*** FIGURE 2: DISTRIBUTION OF CONNECTIONS BY YEAR

	graph bar (count) companyid, stack asyvars over(LDummyConnEduc3) over(year)

*** FIGURE 3: DISTRIBUTION OF CONNECTIONS BY SIZE

	histogram LSize, by(LDummyConnEduc3 State)


	
	
	
	
	
